security/crypto++ - The NetBSD Packages Collection

Free C++ class library of Cryptographic Primitives

Crypto++ Library is a free C++ class library of cryptographic schemes.
One purpose of Crypto++ is to act as a repository of public domain
(not copyrighted) source code.  Although the library is copyrighted as
a compilation, the individual files in it (except for a few exceptions
listed in the license) are in the public domain.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Available binary packages

aarch64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
aarch64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
aarch64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
alpha:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
alpha:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
alpha:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
i386:cryptopp-8.2.0nb1.tgz(NetBSD 8.0)
i386:cryptopp-8.2.0nb1.tgz(NetBSD 8.0)
i386:cryptopp-8.2.0nb1.tgz(NetBSD 8.0)
i386:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
i386:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
i386:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
m68k:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
mips64eb:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
mips64eb:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
powerpc:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
powerpc:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
powerpc:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
sparc64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
sparc64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
sparc64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
sparc:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
sparc:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
sparc:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 8.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 8.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 8.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)
x86_64:cryptopp-8.2.0nb1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]